Subject: Re: bug#16197: 24.3.50; no completion on commands following "sudo" in shell and eshell

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 04 Jan 2014 08:11:22 +0100

Thierry Volpiatto <[email-masked]> writes:

> You can look at the code here:
>
> https://github.com/thierryvolpiatto/emacs-tv-config/blob/master/pcomplete-extension.el

I have fixed code for xargs.
I also have a look at `pcomplete/xargs':
As explained previously it it just calling `shell-command-completion',
which is looking at the first arg returned by `shell-backward-command'.
At best it would work with a command line starting with 'xargs' which is
not really useful, but it doesn't anyway, try it in emacs -Q.

I also find pcomplete/ssh:
It complete args but only the first not the second. i.e ssh -f -! =>no
completions.

Probably others have this problem.

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997